ATTENTION, MERCI DE NE PAS METTRE À JOUR PRIMTUX7 UBUNTU 20.04 VERS LA 22.04, LES HANDYMENUS NE SONT PAS ENCORE COMPATIBLES!
Merci de cliquer ici si vous souhaitez vous inscrire sur le forum.

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
[Résolu] installation pilotes epson xp-7100 sur primtux
#1
Bonjour !

Pour ma version de primtux, la commande
Code :
lsb_release -d
renvoie :

Code :
Description:    Debian GNU/Linux 8.11 (jessie)


J'ai une question installation d'imprimante.
Je viens d'acquérir une epson xp-7100 et je suis sur la page de téléchargements des pilotes.
C'est une imprimante de 2019 donc elle n'est pas dans les pilotes préinstallés (j'avais auparavant une epson xp-325)
J'ai cru comprendre que je devais éviter les pilotes pré-installés CUPS+Gutenprint car ils ont une mauvaise gestion des couleurs ...

Je passe donc par ce site pour récupérer les pilotes et je suis particulièrement sur cette page pour les pilotes du scanner (car il faut d'abord installer les pilotes scanner avant le reste)

Ma question : quelle distribution je dois choisir ?

Arm Scanner Driver
Ubuntu
Linux Mint
Debian
Fedora
openSUSE
CentOS

Je suis un peu perdue, le pc qui sert pour les impressions est sous primtux (alors que mon pc qui sert pour la navigation web et le reste est sous ubuntu 18.04)

Je n'ose pas brancher l'imprimante sur le pc tant que les pilotes ne sont pas installés ...

Merci par avance pour votre aide Smile
Répondre
#2
Je dirais que tu imprimes depuis une Primtux issus de debian donc pilotes pour debian.

Si tu veux donner ta version de Primtux "précise", le mieux est de faire :

Code :
cat /etc/primtux_version
Répondre
#3
Faudrait voir si on a un moyen de communiquer la version de Primtux via la commande "lsb_release". C'est effectivement plus propre.
Répondre
#4
Bonjour et merci pour ta réponse.

La commande renvoie ceci:

Code :
cat: /etc/primtux_version: Aucun fichier ou dossier de ce type

La commande "lsb_release" renvoie :

Code :
LSB Version:    core-2.0-ia32:core-2.0-noarch:core-3.0-ia32:core-3.0-noarch:core-3.1-ia32:core-3.1-noarch:core-3.2-ia32:core-3.2-noarch:core-4.0-ia32:core-4.0-noarch:core-4.1-ia32:core-4.1-noarch:cxx-3.0-ia32:cxx-3.0-noarch:cxx-3.1-ia32:cxx-3.1-noarch:cxx-3.2-ia32:cxx-3.2-noarch:cxx-4.0-ia32:cxx-4.0-noarch:cxx-4.1-ia32:cxx-4.1-noarch:desktop-3.1-ia32:desktop-3.1-noarch:desktop-3.2-ia32:desktop-3.2-noarch:desktop-4.0-ia32:desktop-4.0-noarch:desktop-4.1-ia32:desktop-4.1-noarch:graphics-2.0-ia32:graphics-2.0-noarch:graphics-3.0-ia32:graphics-3.0-noarch:graphics-3.1-ia32:graphics-3.1-noarch:graphics-3.2-ia32:graphics-3.2-noarch:graphics-4.0-ia32:graphics-4.0-noarch:graphics-4.1-ia32:graphics-4.1-noarch:languages-3.2-ia32:languages-3.2-noarch:languages-4.0-ia32:languages-4.0-noarch:languages-4.1-ia32:languages-4.1-noarch:multimedia-3.2-ia32:multimedia-3.2-noarch:multimedia-4.0-ia32:multimedia-4.0-noarch:multimedia-4.1-ia32:multimedia-4.1-noarch:printing-3.2-ia32:printing-3.2-noarch:printing-4.0-ia32:printing-4.0-noarch:printing-4.1-ia32:printing-4.1-noarch:qt4-3.1-ia32:qt4-3.1-noarch:security-4.0-ia32:security-4.0-noarch:security-4.1-ia32:security-4.1-noarch
Répondre
#5
Hum, Primtux sans doute inférieur à la v4 (ou l'on a rempli ce fichier) donc effectivement, ça n'apportera pas grand chose.
Répondre
#6
Bonjour Alkaswaba, ton PC sous PrimTux connecté à l'imprimante Epson, supporterait-il PrimTux5 basé sur Debian 9 ?
Répondre
#7
Coucou ideefixe!

J'avoue que je n'en ai aucune idée, il faudrait que je demande à Monsieur qui m'a mis ce pc en place avec plein de pièces de récupération Big Grin

Là, j'essaie avec lsb des fois que ...
Répondre
#8
Si ma réponse n'était pas explicite, je persiste sur debian mais vu qu'ils ne supportent pas "officiellement" jessie (la v8), il faudra tenter avec le paquet debian 9.

Vérifie bien avant l'archi de ton cpu (i386 ou amd64) via un "uname -a"
Répondre
#9
mothsart a écrit :Vérifie bien avant l'archi de ton cpu (i386 ou amd64) via un "uname -a"

Voici le retour :

Code :
Linux primtux 3.16.0-4-686-pae #1 SMP Debian 3.16.51-2 (2017-12-03) i686 GNU/Linux
Répondre
#10
i686, c'est une variante de i386 donc tu peux partir la dessus Big Grin

Et le uname parle bien de Primtux (la 3 donc bien antérieur à la 4) !
Répondre
#11
Bonjour, me revoilà!

Je viens d'installer primtux5, je tente à nouveau pour l'installation des pilotes de mon xp-7100 mais en vain :/
Je précise que cette imprimante a une fonction recto-verso automatique et que j'ai besoin de cette fonction :/

Edit :
J'ai finalement réussi à installer les pilotes, j'ai essayé avec tous ceux qui étaient disponibles sur la page epson. C'est parfait, j'ai mon recto verso qui marche, scanner ok bref tout a bien !

Merci Primtux5 Big Grin
Répondre
#12
Ok, parfait : je me suis permis de mettre le fil comme résolu. (Je trouve important qu'on puisse identifier que le soucis a été clairement identifié et corrigé)
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)